dev-perl / Test-Compile

Check whether Perl files compile correctly

Official package sites : https://metacpan.org/release/Test-Compile ·

v2.4.1 :: 0 :: gentoo

Modified
License
|| ( Artistic GPL-1+ )
Keywords
~amd64 ~ia64 ~ppc ~sparc ~x86
USE flags
minimal test

General

minimal
Install a very minimal build (disables, for example, plugins, fonts, most drivers, non-critical features)
test
Enable dependencies and/or preparations necessary to run tests (usually controlled by FEATURES=test but can be toggled independently)

dev-lang / perl : Larry Wall's Practical Extraction and Report Language

dev-perl / Module-Build : Build and install Perl modules

dev-lang / perl : Larry Wall's Practical Extraction and Report Language

dev-perl / Devel-CheckOS : require that we are running on a particular OS

dev-perl / UNIVERSAL-require : UNIVERSAL::require - require() modules from a variable

virtual / perl-Exporter : Virtual for Exporter

virtual / perl-parent : Virtual for parent

virtual / perl-version : Virtual for version

dev-perl / FileHandle-Unget : A FileHandle which supports ungetting of multiple bytes

Repository mirror & CI · gentoo
Merge updates from master
Sergei Trofimovich · gentoo
dev-perl/Test-Compile: keyworded 2.4.1 for ia64
keyworded wrt bug #768420 Package-Manager: Portage-3.0.14, Repoman-3.0.2 RepoMan-Options: --include-arches="ia64" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Sam James · gentoo
dev-perl/Test-Compile: Keyword 2.4.1 ppc, #768420
Signed-off-by: Sam James <sam@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Rolf Eike Beer · gentoo
dev-perl/Test-Compile: keyworded 2.4.1 for sparc, bug #768420
Package-Manager: Portage-3.0.13, Repoman-3.0.2 RepoMan-Options: --include-arches="sparc" Signed-off-by: Rolf Eike Beer <eike@sf-mail.de> Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Kent Fredric · gentoo
dev-perl/Test-Compile: Add w/ version = 2.4.1
Required by newer dev-perl/FileHandle-Unget Package-Manager: Portage-3.0.4, Repoman-3.0.1 Signed-off-by: Kent Fredric <kentnl@gentoo.org>